#include <bits/stdc++.h>

using namespace std;
using ll = long long;

vector<int> getVisionPattern1d() {
    return {1, 2, 3};
}

/*
1: 3 1 2 sau 2 1 3
2: 3 1 2 3 1 sau  1 3 2 1 3
3: 3 1 2 3 1 2 3
*/

int getMove1d(vector<int> v) {
    if (v == vector<int>{3, 1, 2}) return 0;
    if (v == vector<int>{2, 1, 3}) return 2;

    if (v == vector<int>{3, 1, 2, 3, 1}) return 3;
    if (v == vector<int>{1, 3, 2, 1, 3}) return 1;

    if (v == vector<int>{3, 1, 2, 3, 1, 2, 3}) return 4;
    if (v == vector<int>{3, 2, 1, 3, 2, 1, 3}) return 2;
    assert(false);
}

vector<vector<int>> getVisionPattern2d() {
    ;
}

pair<int, int> getMove2d(vector<vector<int>> v) {
    ;
}

// int main() {
//     ios::sync_with_stdio(0); 
//     cin.tie(0); cout.tie(0);
//     ;
//     return 0;
// }